/*
 * Class CONTAINER [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1761 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1761 [] = {0xFF01,1551,1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1761 [] = {0xFF01,1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1761 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1761 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1761 [] = {0xFF01,1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1761 [] = {0xFF01,1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1761 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1761 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1761 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1761 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1761 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1761 [] = {1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1761 [] = {0xFF01,1760,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1761 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1761 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1761[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1761), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1761), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1761), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1761), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1761), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1761), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1761), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1761), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1761), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1761), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1761), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1761), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1761), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1761), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1761), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1761), -1, 0xFFFFFFFF},
};
void Init1761(void)
{
	IDSC(desc_1761, 0, 1760);
	IDSC(desc_1761 + 1, 1, 1760);
	IDSC(desc_1761 + 32, 1134, 1760);
}


#ifdef __cplusplus
}
#endif
